## python-lml 0.1.0

=== Makefile ===
all: test

test:
	bash test.sh

document:
	python setup.py install
	sphinx-build -b html docs/source/ docs/build

spelling:
	sphinx-build -b spelling docs/source/ docs/build/spelling

uml:
	plantuml -tsvg -o ../_static/images/ docs/source/uml/*.uml

format:
	isort -y $(find lml -name "*.py"|xargs echo) $(find tests -name "*.py"|xargs echo)
	black -l 79 lml
	black -l 79 tests
	black -l 79 examples

=== docs/requirements.txt ===
sphinxcontrib-plantuml

=== tests/requirements.txt ===
mock
pytest
pytest-cov
codecov
coverage
flake8
black;python_version>="3.6"
isort;python_version>="3.6"

=== debian/changelog ===
python-lml (0.1.0-0kali2) kali-dev; urgency=medium

  * Remove useless build-dep python3-pip

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Feb 2023 15:06:53 +0100

python-lml (0.1.0-0kali1) kali-dev; urgency=medium

  * New upstream release.

 -- Steev Klimaszewski <steev@kali.org>  Sun, 23 Oct 2022 02:08:03 -0500

python-lml (0.0.9-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * Remove Python 2 module
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2020 11:02:41 +0100

python-lml (0.0.9-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jul 2019 14:02:28 +0200

=== debian/control ===
Source: python-lml
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               black,
               python3-all,
               python3-isort,
               python3-mock,
               python3-nose,
               python3-pytest-cov,
               python3-setuptools,
               python3-sphinx,
               python3-wheel
Standards-Version: 4.6.1.0
Homepage: https://github.com/chfw/lml
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-lml
Vcs-Git: https://gitlab.com/kalilinux/packages/python-lml.git
Testsuite: autopkgtest-pkg-python

Package: python3-lml
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-lml-doc
Description: Load me later, a lazy plugin management system (Python 3)
 This package contains a lazy plugin management system. It seamlessly finds the
 lml based plugins from the current Python environment but loads the plugins
 on demand. It is designed to support plugins that have external dependencies,
 especially bulky and/or memory hungry ones. lml provides the plugin management
 system only and the plugin interface is on your shoulder.
 .
 This package installs the library for Python 3.

Package: python-lml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Load me later, a lazy plugin management system (common documentation)
 This package contains a lazy plugin management system. It seamlessly finds the
 lml based plugins from the current Python environment but loads the plugins
 on demand. It is designed to support plugins that have external dependencies,
 especially bulky and/or memory hungry ones. lml provides the plugin management
 system only and the plugin interface is on your shoulder.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=lml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-lml-$1.tar.gz%" \
   https://github.com/chfw/lml/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
